# Class MoneyRewardModifier

#### Hierarchy (view full)

- ConsumableModifier
  - MoneyRewardModifier

- Defined in src/modifier/modifier.ts:1721

#####
Index

### Constructors

constructor

### Properties

moneyMultiplier
type

### Methods

add
apply
match
shouldApply

## Constructors

### constructor

- new MoneyRewardModifier(type, moneyMultiplier): MoneyRewardModifier

- #### Parameters

  - type: ModifierType
  - moneyMultiplier: number

  #### Returns MoneyRewardModifier

  Overrides ConsumableModifier.constructor

  - Defined in src/modifier/modifier.ts:1724

## Properties

### `Private` moneyMultiplier

moneyMultiplier: number

- Defined in src/modifier/modifier.ts:1722

### type

type: ModifierType

Inherited from ConsumableModifier.type

- Defined in src/modifier/modifier.ts:121

## Methods

### add

- add(_modifiers): boolean

- #### Parameters

  - _modifiers: Modifier []

  #### Returns boolean

  Inherited from ConsumableModifier.add

  - Defined in src/modifier/modifier.ts:234

### apply

- apply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides ConsumableModifier.apply

  - Defined in src/modifier/modifier.ts:1730

### match

- match(_modifier): boolean

- #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from ConsumableModifier.match

  - Defined in src/modifier/modifier.ts:127

### shouldApply

- shouldApply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Inherited from ConsumableModifier.shouldApply

  - Defined in src/modifier/modifier.ts:238